import { UMB_DOCUMENT_WORKSPACE_CONTEXT } from '../../document-workspace.context-token.js';
import { UmbConditionBase } from '../../../../../core/extension-registry/index.js';
export class UmbDocumentIsNotTrashedWorkspaceCondition extends UmbConditionBase {
    constructor(host, args) {
        super(host, args);
        this.consumeContext(UMB_DOCUMENT_WORKSPACE_CONTEXT, (context) => {
            this.observe(context?.isTrashed, (isTrashed) => {
                this.permitted = isTrashed === false;
            });
        });
    }
}
export { UmbDocumentIsNotTrashedWorkspaceCondition as api };
